Skip to main content
PUT
/
users
/
{user_token}
Update a user
curl --request PUT \
  --url https://api.vantage.sh/v2/users/{user_token} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "default_dashboard_token": "<string>"
}
'
{
  "token": "<string>",
  "name": "John Doe",
  "email": "john_doe@acme.com",
  "role": "Admin",
  "default_dashboard_token": "dshbrd_abcdef123456",
  "last_seen_at": "2024-01-01T00:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

user_token
string
required

Body

application/json

Update a specific User.

default_dashboard_token
string | null

The token of a Dashboard to set as the User default. Send null to clear.

Response

User model

token
string
required
name
string | null
required

The name of the User.

Example:

"John Doe"

email
string
required

The email of the User.

Example:

"john_doe@acme.com"

role
string
required

The role of the User.

Example:

"Admin"

default_dashboard_token
string | null

The token of the default Dashboard for the User.

Example:

"dshbrd_abcdef123456"

last_seen_at
string | null

The last time the User logged in.

Example:

"2024-01-01T00:00:00Z"